summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorRobin H. Johnson <robbat2@gentoo.org>2015-08-08 13:49:04 -0700
committerRobin H. Johnson <robbat2@gentoo.org>2015-08-08 17:38:18 -0700
commit56bd759df1d0c750a065b8c845e93d5dfa6b549d (patch)
tree3f91093cdb475e565ae857f1c5a7fd339e2d781e /sys-block/mtx
downloadgentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.tar.gz
gentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.tar.bz2
gentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.zip
proj/gentoo: Initial commit
This commit represents a new era for Gentoo: Storing the gentoo-x86 tree in Git, as converted from CVS. This commit is the start of the NEW history. Any historical data is intended to be grafted onto this point. Creation process: 1. Take final CVS checkout snapshot 2. Remove ALL ChangeLog* files 3. Transform all Manifests to thin 4. Remove empty Manifests 5. Convert all stale $Header$/$Id$ CVS keywords to non-expanded Git $Id$ 5.1. Do not touch files with -kb/-ko keyword flags. Signed-off-by: Robin H. Johnson <robbat2@gentoo.org> X-Thanks: Alec Warner <antarus@gentoo.org> - did the GSoC 2006 migration tests X-Thanks: Robin H. Johnson <robbat2@gentoo.org> - infra guy, herding this project X-Thanks: Nguyen Thai Ngoc Duy <pclouds@gentoo.org> - Former Gentoo developer, wrote Git features for the migration X-Thanks: Brian Harring <ferringb@gentoo.org> - wrote much python to improve cvs2svn X-Thanks: Rich Freeman <rich0@gentoo.org> - validation scripts X-Thanks: Patrick Lauer <patrick@gentoo.org> - Gentoo dev, running new 2014 work in migration X-Thanks: Michał Górny <mgorny@gentoo.org> - scripts, QA, nagging X-Thanks: All of other Gentoo developers - many ideas and lots of paint on the bikeshed
Diffstat (limited to 'sys-block/mtx')
-rw-r--r--sys-block/mtx/Manifest2
-rw-r--r--sys-block/mtx/metadata.xml8
-rw-r--r--sys-block/mtx/mtx-1.2.18.ebuild30
-rw-r--r--sys-block/mtx/mtx-1.3.12.ebuild18
4 files changed, 58 insertions, 0 deletions
diff --git a/sys-block/mtx/Manifest b/sys-block/mtx/Manifest
new file mode 100644
index 00000000000..7fcfea87286
--- /dev/null
+++ b/sys-block/mtx/Manifest
@@ -0,0 +1,2 @@
+DIST mtx-1.2.18rel.tar.gz 167728 SHA256 d333f7bcc37029268fbb57e64ba375e849d348b65391447c62e7e153ba55eed2
+DIST mtx-1.3.12.tar.gz 235214 SHA256 0261c5e90b98b6138cd23dadecbc7bc6e2830235145ed2740290e1f35672d843
diff --git a/sys-block/mtx/metadata.xml b/sys-block/mtx/metadata.xml
new file mode 100644
index 00000000000..153df009821
--- /dev/null
+++ b/sys-block/mtx/metadata.xml
@@ -0,0 +1,8 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <herd>base-system</herd>
+ <upstream>
+ <remote-id type="sourceforge">mtx</remote-id>
+ </upstream>
+</pkgmetadata>
diff --git a/sys-block/mtx/mtx-1.2.18.ebuild b/sys-block/mtx/mtx-1.2.18.ebuild
new file mode 100644
index 00000000000..7a6862ed109
--- /dev/null
+++ b/sys-block/mtx/mtx-1.2.18.ebuild
@@ -0,0 +1,30 @@
+# Copyright 1999-2009 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+IUSE=""
+
+DESCRIPTION="Utilities for controlling SCSI media changers and tape drives"
+HOMEPAGE="http://mtx.sourceforge.net"
+LICENSE="GPL-2"
+DEPEND=""
+SRC_URI="ftp://ftp.badtux.net/pub/storage/${PN}/${P}rel.tar.gz"
+KEYWORDS="x86 amd64 sparc alpha ppc hppa ppc64"
+SLOT="0"
+
+src_unpack() {
+ unpack ${A}
+ mv ${P}rel ${S}
+ sed -e 's:/usr/src/linux/include ::' -i ${S}/Makefile.in
+}
+
+src_compile() {
+ econf || die "Configure failed"
+ emake || die "Make failed"
+}
+
+src_install () {
+ dodoc CHANGES COMPATIBILITY FAQ README LICENSE TODO
+ dohtml mtxl.README.html
+ einstall || die "Install failed"
+}
diff --git a/sys-block/mtx/mtx-1.3.12.ebuild b/sys-block/mtx/mtx-1.3.12.ebuild
new file mode 100644
index 00000000000..191d428ff69
--- /dev/null
+++ b/sys-block/mtx/mtx-1.3.12.ebuild
@@ -0,0 +1,18 @@
+# Copyright 1999-2009 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+DESCRIPTION="Utilities for controlling SCSI media changers and tape drives"
+HOMEPAGE="http://mtx.sourceforge.net/"
+SRC_URI="mirror://sourceforge/mtx/${P}.tar.gz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="alpha amd64 hppa ppc ppc64 sparc x86"
+IUSE=""
+
+src_install () {
+ einstall || die
+ dodoc CHANGES COMPATABILITY FAQ README TODO
+ dohtml mtxl.README.html
+}